SPDY

by on under Technical
1 minute read

SPDY is a fast and secure web protocol. mod-spdy adds SPDY support to Apache. While testing this module on a CentOS system I experienced some issues:

  • PHP must be run in FastCgi mode (thread-safety issue). If mod-php is used, some applications fail to load (mediawiki, piwik, phpPgAdmin, …).
  • Maybe it is just me, but I failed to correctly setup PHP in FastCgi mode. HTTP authentication did not work for me in this mode.
  • SSLRequireSSL can not be used with mod-spdy. This is a known bug. Internally mod-spdy connections are not represented as SSL, even though they are.

For now this module remains disabled on my system. Once it gets out of beta state it will get another chance.

Linux, CentOS, Apache, SPDY